Loading...
Searching...
No Matches
pixelFormat.h File Reference
`#include <BALL/COMMON/global.h>`
`#include <iostream>`

Go to the source code of this file.

## Classes

struct | BALL::VIEW::ChannelFormat
class | BALL::VIEW::PixelFormat

## Namespaces

namespace | BALL
namespace | BALL::VIEW

## Macros

#define | _RTSG_FB_SETCH(i, v)

## Functions

std::ostream & | BALL::VIEW::operator<< (std::ostream &o, const PixelFormat &f)

## Macro Definition Documentation

## _RTSG_FB_SETCH

#define _RTSG_FB_SETCH | ( |  | i,
|  |  | v )

Value:
this->channels[(i)] = v; \
if (v.id != ChannelFormat::NO_CHANNEL) \
++numChannels

Definition at line 75 of file pixelFormat.h.